低危 LibTIFF存在多个本地内存破坏漏洞

CVE编号

CVE-2017-16232

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-22
漏洞描述
** DISPUTED **  LibTIFF 4.0.8具有多个内存泄漏漏洞,攻击者可以利用这些漏洞导致拒绝服务(内存消耗),如tif_open.c,tif_lzw.c和tif_aux.c所示。注意:第三方无法重现该问题。

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
http://www.libtiff.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff 4.0.8 -
运行在以下环境
系统 alpine_3.10 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.11 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.12 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.13 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.14 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.15 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.16 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.3 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.4 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.5 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.6 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.7 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.8 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_3.9 tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 alpine_edge tiff * Up to
(excluding)
4.0.9-r0
运行在以下环境
系统 debian_10 tiff * Up to
(including)
4.1.0+git191117-2~deb10u3
运行在以下环境
系统 debian_11 tiff * Up to
(including)
4.2.0-1
运行在以下环境
系统 debian_12 tiff * Up to
(including)
4.4.0-2
运行在以下环境
系统 debian_9 tiff * Up to
(including)
4.0.8-2+deb9u5
运行在以下环境
系统 debian_sid tiff * Up to
(including)
4.4.0-2
运行在以下环境
系统 opensuse_Leap_42.2 tiff * Up to
(excluding)
4.0.9-24.1
运行在以下环境
系统 opensuse_Leap_42.3 tiff * Up to
(excluding)
4.0.9-24.1
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.9-44.7
运行在以下环境
系统 suse_12_SP2 tiff * Up to
(excluding)
4.0.9-44.7.1
运行在以下环境
系统 suse_12_SP3 tiff * Up to
(excluding)
4.0.9-44.7.1
运行在以下环境
系统 ubuntu_14.04.6_lts tiff * Up to
(excluding)
2019-04-17
运行在以下环境
系统 ubuntu_16.04.7_lts tiff * Up to
(excluding)
2019-04-17
运行在以下环境
系统 ubuntu_18.04.5_lts tiff * Up to
(excluding)
2019-04-17
运行在以下环境
系统 ubuntu_18.10 tiff * Up to
(excluding)
2019-04-17
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况